Deploys
API key is a token provided while making the API calls. This is used to authenticate the client at the exposed endpoint.
Deploy ID, e.g. DEPL-24
Harness account identifier.
Harness organization identifier.
Harness project identifier.
Deploy detail
Deploy id (activity pretty id, e.g. DEPL-24)
Deploy title
Deploy summary
Deploy status
Environment labels the deploy targeted (e.g. prod, qa)
Epoch timestamp of the deploy (milliseconds)
Web link to the deploy activity
Deploy not found
GET /gateway/ir/tp/api/v1/mc/deploys/{deployId}?accountId=text&orgId=text&projectId=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*
{
"id": "text",
"projectId": "text",
"title": "text",
"summary": "text",
"status": "PENDING",
"environments": [
"text"
],
"buildVersions": [
{
"service": "text",
"version": "text",
"commitSha": "text",
"branch": "text",
"repositoryName": "text",
"repositoryUrl": "text"
}
],
"deployTimestamp": 1,
"webLink": "text",
"relatedActivities": [
{
"name": "text",
"templateTypeName": "INCIDENT",
"prettyId": "text",
"globalId": "text",
"title": "text"
}
]
}API key is a token provided while making the API calls. This is used to authenticate the client at the exposed endpoint.
Harness account identifier.
Harness organization identifier.
Harness project identifier.
Filter by service name (multi-value, OR-combined)
Filter by environment label (multi-value, OR-combined)
ISO-8601 inclusive lower bound on deploy time, e.g. 2026-05-01T00:00:00Z
ISO-8601 inclusive upper bound on deploy time
Sort direction
Page size requested
0-based page number; defaults to 0 (the first page).
Page of deploys
GET /gateway/ir/tp/api/v1/mc/deploys?accountId=text&orgId=text&projectId=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*
Page of deploys
{
"entities": [
{
"id": "text",
"projectId": "text",
"title": "text",
"summary": "text",
"status": "PENDING",
"environments": [
"text"
],
"buildVersions": [
{
"service": "text",
"version": "text",
"commitSha": "text",
"branch": "text",
"repositoryName": "text",
"repositoryUrl": "text"
}
],
"deployTimestamp": 1,
"webLink": "text",
"relatedActivities": [
{
"name": "text",
"templateTypeName": "INCIDENT",
"prettyId": "text",
"globalId": "text",
"title": "text"
}
]
}
],
"totalCount": 1
}Last updated
Was this helpful?